@echo off
if not "%RESTORE_ENVIRONMENT%"=="no" goto Start
echo Your current build environment will be used!
pause
goto SetVersionNumber

:Start
set OLD_PATH=%PATH%
set W64_BUILD=
set CHK_BUILD=
set HAL_BUILD=
set BUILD_OPTIONS=
set XP_BUILD=1
set USE_VC6_STYLE_BINARY=
set AMD64_BUILD=

rem
rem Check environment variables
rem
if "%BUILDDIR%"=="" goto NoBuildDir
echo Build directory set to %BUILDDIR%.

rem
rem Figure out what we are doing.
rem
:NextArg
if "%1"=="/?" goto usage
if "%1"=="-?" goto usage
if "%1"=="\?" goto usage
if "%1"=="-help" goto usage
if "%1"=="--help" goto usage
if "%1"=="/help?" goto usage
if "%1"=="w64" goto ArgOK
if "%1"=="W64" goto ArgOK
if "%1"=="fre" goto ArgOK
if "%1"=="FRE" goto ArgOK
if "%1"=="free" goto ArgOK
if "%1"=="FREE" goto ArgOK
if "%1"=="chk" goto ArgOK
if "%1"=="CHK" goto ArgOK
if "%1"=="checked" goto ArgOK
if "%1"=="CHECKED" goto ArgOK
if "%1"=="hal" goto ArgOK
if "%1"=="HAL" goto ArgOK
if "%1"=="production" goto ArgOK
if "%1"=="PRODUCTION" goto ArgOK
if "%1"=="clean" goto ArgOK
if "%1"=="CLEAN" goto ArgOK
if "%1"=="noxp" goto ArgOK
if "%1"=="NOXP" goto ArgOK
if "%1"=="save" goto ArgOk
if "%1"=="SAVE" goto ArgOk
if "%1"=="nobuild" goto ArgOk
if "%1"=="NOBUILD" goto ArgOk
if "%1"=="si" goto ArgOk
if "%1"=="SI" goto ArgOk
if "%1"=="amd64" goto ArgOk
if "%1"=="AMD64" goto ArgOk
if not "%1"=="" goto usage
if "%1" == "" goto SaveEnvironment

:ArgOK
if "%1"=="W64" set W64_BUILD=64
if "%1"=="w64" set W64_BUILD=64
if "%1"=="fre" set CHK_BUILD=
if "%1"=="FRE" set CHK_BUILD=
if "%1"=="free" set CHK_BUILD=
if "%1"=="FREE" set CHK_BUILD=
if "%1"=="chk" set CHK_BUILD=chk
if "%1"=="CHK" set CHK_BUILD=chk
if "%1"=="checked" set CHK_BUILD=chk
if "%1"=="CHECKED" set CHK_BUILD=chk
if "%1"=="hal" set HAL_BUILD=hal
if "%1"=="HAL" set HAL_BUILD=hal
if "%1"=="clean" set BUILD_OPTIONS=-cZ
if "%1"=="CLEAN" set BUILD_OPTIONS=-cZ
if "%1"=="production" set BUILD_OPTIONS=-cZ
if "%1"=="production" set CHK_BUILD=
if "%1"=="noxp" set XP_BUILD=
if "%1"=="NOXP" set XP_BUILD=
if "%1"=="amd64" set AMD64_BUILD=1
if "%1"=="AMD64" set AMD64_BUILD=1
if "%1"=="save" set RESTORE_ENVIRONMENT=no
if "%1"=="SAVE" set RESTORE_ENVIRONMENT=no
if "%1"=="nobuild" set DO_BUILD=no
if "%1"=="NOBUILD" set DO_BUILD=no
if "%1"=="si" set USE_VC6_STYLE_BINARY=yes
if "%1"=="SI" set USE_VC6_STYLE_BINARY=yes
shift
goto NextArg


rem
rem Save the current environment.
rem
:SaveEnvironment
set SAVED_FREE=%FREE%
set SAVED_CLEAN=%CLEAN%
set SAVED_OS=%OS%
set SAVED_BUILDDIR=%BUILDDIR%
set SAVED_BASEDIR=%BASEDIR%
set SAVED_BASE_PATH=%BASE_PATH%
set SAVED_RELEASE_BRANCH=%RELEASE_BRANCH%
set SAVED_MSVC=%MSVC%
set SAVED_BUILD_ALT_DIR=%BUILD_ALT_DIR%
set SAVED_DDKBUILDENV=%DDKBUILDENV%
set SAVED_CRT_INC_PATH=%CRT_INC_PATH%
set SAVED_CRT_LIB_PATH=%CRT_LIB_PATH%
set SAVED_DDK_INC_PATH=%DDK_INC_PATH%
set SAVED_DDK_LIB_DEST=%DDK_LIB_DEST%
set SAVED_DDK_LIB_PATH=%DDK_LIB_PATH%
set SAVED_SDK_INC_PATH=%SDK_INC_PATH%
set SAVED_SDK_LIB_DEST=%SDK_LIB_DEST%
set SAVED_SDK_LIB_PATH=%SDK_LIB_PATH%
set SAVED_WDM_INC_PATH=%WDM_INC_PATH%
set SAVED_NVCRT_INC_DIR=%NVCRT_INC_DIR%
set SAVED_NVPSDK_INC_DIR=%NVPSDK_INC_DIR%
set SAVED_NVPSDK_LIB_DIR=%NVPSDK_LIB_DIR%
set SAVED_NVMSVC_INC_DIR=%NVMSVC_INC_DIR%
set SAVED_NVMSVC_LIB_DIR=%NVMSVC_LIB_DIR%
set SAVED_NVMSVC_ATLLIB_DIR=%NVMSVC_ATLLIB_DIR%
set SAVED_include=%include%
set SAVED_lib=%lib%
set SAVED_BUILD_DEFAULT_TARGETS=%BUILD_DEFAULT_TARGETS%
set SAVED_HOST_TARGETCPU=%HOST_TARGETCPU%
set SAVED_HOST_TARGET_DIRECTORY=%HOST_TARGET_DIRECTORY%
set SAVED_HOST_TARGET_DEFINES=%HOST_TARGET_DEFINES%
set SAVED_IA64=%IA64%
set SAVED_NTIA64DEFAULT=%NTIA64DEFAULT%
set SAVED_IA64_WARNING_LEVEL=%IA64_WARNING_LEVEL%
set SAVED_BUILD_DEFAULT=%BUILD_DEFAULT%
set SAVED_BUILD_MAKE_PROGRAM=%BUILD_MAKE_PROGRAM%
set SAVED_Cpu=%Cpu%
set SAVED_COFFBASE_TXT_FILE=%COFFBASE_TXT_FILE%
set SAVED_DDK_VC5_COMPILE=%DDK_VC5_COMPILE%
set SAVED_MSC_OPTIMIZATION=%MSC_OPTIMIZATION%
set SAVED_MSVCDir=%MSVCDir%
set SAVED_NEW_CRTS=%NEW_CRTS%
set SAVED_NTDBGFILES=%NTDBGFILES%
set SAVED_NTDEBUG=%NTDEBUG%
set SAVED_NTDEBUGTYPE=%NTDEBUGTYPE%
set SAVED_NTMAKEENV=%NTMAKEENV%

set SAVED_BUILD_MULTIPROCESSOR=%BUILD_MULTIPROCESSOR%
set SAVED_DDK_TARGET_OS=%DDK_TARGET_OS%
set SAVED_DRIVER_INC_PATH=%DRIVER_INC_PATH%
set SAVED_HALKIT_INC_PATH=%HALKIT_INC_PATH%
set SAVED_HALKIT_LIB_PATH=%HALKIT_LIB_PATH%
set SAVED_IFSKIT_INC_PATH=%IFSKIT_INC_PATH%
set SAVED_IFSKIT_LIB_DEST=%IFSKIT_LIB_DEST%
set SAVED_IFSKIT_LIB_PATH=%IFSKIT_LIB_PATH%
set SAVED_NO_BINPLACE=%NO_BINPLACE%
set SAVED_NT_UP=%NT_UP%
set SAVED_OAK_INC_PATH=%OAK_INC_PATH%
set SAVED_PROCESSOR_INC_PATH=%PROCESSOR_INC_PATH%
set SAVED_PROCESSOR_LIB_PATH=%PROCESSOR_LIB_PATH%
set SAVED_PROJECT_ROOT=%PROJECT_ROOT%
set SAVED_PUBLISH_CMD=%PUBLISH_CMD%
set SAVED_USERNAME=%USERNAME%
set SAVED_WPP_CONFIG_PATH=%WPP_CONFIG_PATH%
set SAVED__BUILDARCH=%_BUILDARCH%
set SAVED__CL_=%_CL_%
set SAVED__LINK_=%_LINK_%
set SAVED__ML_=%_ML_%

set SAVED_WIN9X_LIB_DIR=%WIN9X_LIB_DIR%
set SAVED_USER_C_FLAGS=%USER_C_FLAGS%

rem 
rem extra things set by amd64 DDK
rem 
set SAVED_AMD64=%AMD64%
set SAVED_ATL_INC_PATH=%ATL_INC_PATH%
set SAVED_ATL_INC_ROOT=%ATL_INC_ROOT%
set SAVED_ATL_LIB_PATH=%ATL_LIB_PATH%
set SAVED_BUFFER_OVERFLOW_CHECKS=%BUFFER_OVERFLOW_CHECKS%
set SAVED_LINK_LIB_IGNORE=%LINK_LIB_IGNORE%
set SAVED_MFC_INCLUDES=%MFC_INCLUDES%
set SAVED_MFC_LIB_PATH=%MFC_LIB_PATH%
set SAVED_NO_BROWSER_FILE=%NO_BROWSER_FILE%
set SAVED_PREFAST_ROOT=%PREFAST_ROOT%
set SAVED__NT_TARGET_VERSION=%_NT_TARGET_VERSION%
set SAVED__NT_TOOLS_VERSION=%_NT_TOOLS_VERSION%

goto SetEnvironment


rem
rem Setup the build environment.
rem
:SetEnvironment
if not "%RELEASE_BRANCH%"=="" goto ReleaseBranchOk
set RELEASE_BRANCH=Rel6
:ReleaseBranchOk
echo Release branch set to %RELEASE_BRANCH%.

if not "%BASE_PATH%"=="" goto BasePathOk
set BASE_PATH=storage\ide
:BasePathOk
echo Base path set to %BASE_PATH%

if not "%XP_BUILD%"=="1" goto StandardBuild
if "%AMD64_BUILD%"=="1" goto SetupAMD64BuildEnvironment
echo Setting up the XP build environment.
call %BUILD_TOOLS_DIR%\ddk\winxp\bin\setenv.bat %BUILD_TOOLS_DIR%\ddk\winxp %CHK_BUILD% %W64_BUILD% %HAL_BUILD%

set NVMSVC_INC_DIR=win32\msvc70
set NVCRT_INC_DIR=win32\msvc70\inc\crt
set NVPSDK_INC_DIR=win32\msvc70\platformsdk\include

set NVMSVC_LIB_DIR=win32\msvc70\lib
set NVMSVC_ATLLIB_DIR=win32\msvc70\atlmfc\lib
set NVPSDK_LIB_DIR=win32\msvc70\PlatformSDK\lib
goto SetXPEnvironment

:SetupAMD64BuildEnvironment
echo Setting up the AMD64 build environment.
call %BUILD_TOOLS_DIR%\win64\ddk\3790.1069\bin\setenv.bat %BUILD_TOOLS_DIR%\win64\ddk\3790.1069 %CHK_BUILD% AMD64 %HAL_BUILD%

set NVMSVC_INC_DIR=win64\msvc71\amd_drop_040301
set NVCRT_INC_DIR=sdk\AMD64_PSDK_BETA\include\Win64\crt\amd64
set NVPSDK_INC_DIR=sdk\AMD64_PSDK_BETA\include

set NVMSVC_LIB_DIR=win64\msvc71\amd_drop_040301\lib\AMD64
set NVMSVC_ATLLIB_DIR=win64\msvc71\amd_drop_040301\atlmfc\lib\AMD64
set NVPSDK_LIB_DIR=sdk\AMD64_PSDK_BETA\Lib\AMD64
goto SetXPEnvironment

rem
rem Finish setting up the XP build environment
rem
:SetXPEnvironment
cd /d %BUILDDIR%\%BASE_PATH%\%RELEASE_BRANCH%
set WIN9X_LIB_DIR=%BASEDIR%\lib\win_me
rem
rem Add MSVC include to build nvmdcoi.leg
rem
set include=%include%;%BUILD_TOOLS_DIR%\msvc60sp3\include
if "%USE_VC6_STYLE_BINARY%"=="" goto AddSoftIce
echo Using old VC6 style binary hack to generate NMS files.
set NTDEBUGTYPE=softice
set USER_C_FLAGS=/Zvc6
goto AddSoftIce


rem
rem The standard build environment
rem
:StandardBuild
echo Setting up the standard build environment.
if "%HAL_BUILD%"=="hal" echo      hal option in standard build.
if "%W64_BUILD%"=="64" echo     w64 option in standard build.
if "%BASEDIR%"=="" set BASEDIR=%BUILD_TOOLS_DIR%\ddk\nt5
echo DDK directory is set to %BASEDIR%.

rem
rem Base directory of compiling tools
rem
if "%MSVC%"=="" set MSVC=%BUILD_TOOLS_DIR%\msvc60sp3
echo MSVC is set to %MSVC%.

rem
rem Build type.
rem
if "%CHK_BUILD%"=="" goto NtFree
goto NtChecked

:NtFree
echo Building free build.
set BUILD_ALT_DIR=fre
set DDKBUILDENV=free
set NTDEBUGTYPE=windbg
goto Common

:NtChecked
echo Building checked build.
set BUILD_ALT_DIR=chk
set DDKBUILDENV=checked
set MSC_OPTIMIZATION=/Od /Oi
set NTDEBUGTYPE=both
set NTDEBUG=ntsd
goto Common

rem
rem Finish setting up the standard build environment.
rem
:Common
set CRT_INC_PATH=%BASEDIR%\inc
set CRT_LIB_PATH=%BASEDIR%\lib%BUILD_ALT_DIR%\*
set DDK_INC_PATH=%BASEDIR%\inc\ddk
set DDK_LIB_DEST=%BASEDIR%\lib%BUILD_ALT_DIR%
set DDK_LIB_PATH=%BASEDIR%\lib%BUILD_ALT_DIR%\*
set SDK_INC_PATH=%BASEDIR%\inc
set SDK_LIB_DEST=%BASEDIR%\lib%BUILD_ALT_DIR%
set SDK_LIB_PATH=%BASEDIR%\lib%BUILD_ALT_DIR%\*
set WDM_INC_PATH=%BASEDIR%\inc\ddk\wdm
set include=%BASEDIR%\inc;%BASEDIR%\src\wdm\audio\inc;%MSVC%\include
set lib=%BASEDIR%\lib;%MSVC%\lib
set BUILD_DEFAULT_TARGETS=-386
set BUILD_DEFAULT=-ei -nmake -i
set BUILD_MAKE_PROGRAM=nmake.exe
set Cpu=i386
set COFFBASE_TXT_FILE=%BASEDIR%\bin\coffbase.txt
set DDK_VC5_COMPILE=0
set MSVCDir=%MSVC%
set NEW_CRTS=1
set NTDBGFILES=1
set NTMAKEENV=%BASEDIR%\bin
set PATH=%BASEDIR%\bin;%MSDevDir%\BIN;%MSVC%\BIN;%PATH%
set WIN9X_LIB_DIR=%BUILD_TOOLS_DIR%\ddk\98ddk\lib\i386\free



rem
rem Add SoftIce to the path to build the .nms file.
rem
:AddSoftIce
if not exist %BUILD_TOOLS_DIR%\ntice\nmsym.exe goto SetVersionNumber
if "%CHK_BUILD%"=="" goto SetVersionNumber
echo Adding SoftIce to the path.
set PATH=%BUILD_TOOLS_DIR%\ntice;%PATH%

rem
rem Update the version number.
rem
:SetVersionNumber
if not exist %BUILD_TOOLS_DIR%\ActivePerl\bin\perl.exe goto BuildDriver
echo Updating driver version information.
set PATH=%BUILD_TOOLS_DIR%\ActivePerl\bin;%PATH%

rem
rem Build the driver.
rem
:BuildDriver
if "%DO_BUILD%"=="no" goto RestoreEnvironment
echo Building the driver.
build.exe %BUILD_OPTIONS%

rem
rem Restore the original environment.
rem
:RestoreEnvironment
if "%RESTORE_ENVIRONMENT%"=="no" goto end
set PATH=%OLD_PATH%
set FREE=%SAVED_FREE%
set CLEAN=%SAVED_CLEAN%
set OS=%SAVED_OS%
set BUILDDIR=%SAVED_BUILDDIR%
set BASEDIR=%SAVED_BASEDIR%
set BASE_PATH=%SAVED_BASE_PATH%
set RELEASE_BRANCH=%SAVED_RELEASE_BRANCH%
set DO_BUILD=%SAVED_DO_BUILD%
set MSVC=%SAVED_MSVC%
set BUILD_ALT_DIR=%SAVED_BUILD_ALT_DIR%
set DDKBUILDENV=%SAVED_DDKBUILDENV%
set CRT_INC_PATH=%SAVED_CRT_INC_PATH%
set CRT_LIB_PATH=%SAVED_CRT_LIB_PATH%
set DDK_INC_PATH=%SAVED_DDK_INC_PATH%
set DDK_LIB_DEST=%SAVED_DDK_LIB_DEST%
set DDK_LIB_PATH=%SAVED_DDK_LIB_PATH%
set SDK_INC_PATH=%SAVED_SDK_INC_PATH%
set SDK_LIB_DEST=%SAVED_SDK_LIB_DEST%
set SDK_LIB_PATH=%SAVED_SDK_LIB_PATH%
set WDM_INC_PATH=%SAVED_WDM_INC_PATH%
set NVCRT_INC_DIR=%SAVED_NVCRT_INC_DIR%
set NVPSDK_INC_DIR=%SAVED_NVPSDK_INC_DIR%
set NVPSDK_LIB_DIR=%SAVED_NVPSDK_LIB_DIR%
set NVMSVC_INC_DIR=%SAVED_NVMSVC_INC_DIR%
set NVMSVC_LIB_DIR=%SAVED_NVMSVC_LIB_DIR%
set NVMSVC_ATLLIB_DIR=%SAVED_NVMSVC_ATLLIB_DIR%
set include=%SAVED_include%
set lib=%SAVED_lib%
set BUILD_DEFAULT_TARGETS=%SAVED_BUILD_DEFAULT_TARGETS%
set HOST_TARGETCPU=%SAVED_HOST_TARGETCPU%
set HOST_TARGET_DIRECTORY=%SAVED_HOST_TARGET_DIRECTORY%
set HOST_TARGET_DEFINES=%SAVED_HOST_TARGET_DEFINES%
set IA64=%SAVED_IA64%
set NTIA64DEFAULT=%SAVED_NTIA64DEFAULT%
set IA64_WARNING_LEVEL=%SAVED_IA64_WARNING_LEVEL%
set BUILD_DEFAULT=%SAVED_BUILD_DEFAULT%
set BUILD_MAKE_PROGRAM=%SAVED_BUILD_MAKE_PROGRAM%
set Cpu=%SAVED_Cpu%
set COFFBASE_TXT_FILE=%SAVED_COFFBASE_TXT_FILE%
set DDK_VC5_COMPILE=%SAVED_DDK_VC5_COMPILE%
set MSC_OPTIMIZATION=%SAVED_MSC_OPTIMIZATION%
set MSVCDir=%SAVED_MSVCDir%
set NEW_CRTS=%SAVED_NEW_CRTS%
set NTDBGFILES=%SAVED_NTDBGFILES%
set NTDEBUG=%SAVED_NTDEBUG%
set NTDEBUGTYPE=%SAVED_NTDEBUGTYPE%
set NTMAKEENV=%SAVED_NTMAKEENV%

set BUILD_MULTIPROCESSOR=%SAVED_BUILD_MULTIPROCESSOR%
set DDK_TARGET_OS=%SAVED_DDK_TARGET_OS%
set DRIVER_INC_PATH=%SAVED_DRIVER_INC_PATH%
set HALKIT_INC_PATH=%SAVED_HALKIT_INC_PATH%
set HALKIT_LIB_PATH=%SAVED_HALKIT_LIB_PATH%
set IFSKIT_INC_PATH=%SAVED_IFSKIT_INC_PATH%
set IFSKIT_LIB_DEST=%SAVED_IFSKIT_LIB_DEST%
set IFSKIT_LIB_PATH=%SAVED_IFSKIT_LIB_PATH%
set NO_BINPLACE=%SAVED_NO_BINPLACE%
set NT_UP=%SAVED_NT_UP%
set OAK_INC_PATH=%SAVED_OAK_INC_PATH%
set PROCESSOR_INC_PATH=%SAVED_PROCESSOR_INC_PATH%
set PROCESSOR_LIB_PATH=%SAVED_PROCESSOR_LIB_PATH%
set PROJECT_ROOT=%SAVED_PROJECT_ROOT%
set PUBLISH_CMD=%SAVED_PUBLISH_CMD%
set USERNAME=%SAVED_USERNAME%
set WPP_CONFIG_PATH=%SAVED_WPP_CONFIG_PATH%
set _BUILDARCH=%SAVED__BUILDARCH%
set _CL_=%SAVED__CL_%
set _LINK_=%SAVED__LINK_%
set _ML_=%SAVED__ML_%
set WIN9X_LIB_DIR=%SAVED_WIN9X_LIB_DIR%
set USER_C_FLAGS=%SAVED_USER_C_FLAGS%

rem 
rem extra things set by amd64 DDK
rem 
set AMD64=%SAVED_AMD64%
set ATL_INC_PATH=%SAVED_ATL_INC_PATH%
set ATL_INC_ROOT=%SAVED_ATL_INC_ROOT%
set ATL_LIB_PATH=%SAVED_ATL_LIB_PATH%
set BUFFER_OVERFLOW_CHECKS=%SAVED_BUFFER_OVERFLOW_CHECKS%
set LINK_LIB_IGNORE=%SAVED_LINK_LIB_IGNORE%
set MFC_INCLUDES=%SAVED_MFC_INCLUDES%
set MFC_LIB_PATH=%SAVED_MFC_LIB_PATH%
set NO_BROWSER_FILE=%SAVED_NO_BROWSER_FILE%
set PREFAST_ROOT=%SAVED_PREFAST_ROOT%
set _NT_TARGET_VERSION=%SAVED__NT_TARGET_VERSION%
set _NT_TOOLS_VERSION=%SAVED__NT_TOOLS_VERSION%

goto end


:usage
echo.
echo.
echo Sets up the build environment for NT/Win9x/Win64 free/checked builds.
echo.
echo.  Command Syntax:
echo.
echo       bldwdm [checked ^| free ^| production] [clean] [w64] [noxp] [hal]
echo              [save] [si] [amd64] [nobuild]
echo.
echo.
echo.  Required Environment Variable:
echo.
echo       BUILDDIR          The base perforce directory (C:\sw)
echo.
echo   Defaults are the free build with the WinXP DDK.  Production builds
echo   will do a clean free build and do some additional symbol stripping.
echo   "save" will save the build environment settings.
echo.
echo   "si" will hack the default MS XP build environment to use old VC6
echo   style binaries until Numega gets the thumb out of their butt and
echo   updates nmsym.exe to support new binaries.
echo.
echo   "nobuild" will do all the setup and environment setting, but will
echo   not actually initiate the build.
echo.
goto end


:NoBuildDir
echo.  Required Environment Variable:
echo.
echo       BUILDDIR          The base perforce directory (C:\sw)
echo.
goto end

:end
set OLD_PATH=
set W64_BUILD=
set CHK_BUILD=
set HAL_BUILD=
set BUILD_OPTIONS=
set XP_BUILD=
set USE_VC6_STYLE_BINARY=
set AMD64_BUILD=
set DO_BUILD=

set SAVED_FREE=
set SAVED_CLEAN=
set SAVED_OS=
set SAVED_BASEDIR=
set SAVED_BASE_PATH=
set SAVED_RELEASE_BRANCH=
set SAVED_BUILDDIR=
set SAVED_MSVC=
set SAVED_BUILD_ALT_DIR=
set SAVED_DDKBUILDENV=
set SAVED_CRT_INC_PATH=
set SAVED_CRT_LIB_PATH=
set SAVED_DDK_INC_PATH=
set SAVED_DDK_LIB_DEST=
set SAVED_DDK_LIB_PATH=
set SAVED_SDK_INC_PATH=
set SAVED_SDK_LIB_DEST=
set SAVED_SDK_LIB_PATH=
set SAVED_WDM_INC_PATH=
set SAVED_NVCRT_INC_DIR=
set SAVED_NVPSDK_INC_DIR=
set SAVED_NVPSDK_LIB_DIR=
set SAVED_NVMSVC_INC_DIR=
set SAVED_NVMSVC_LIB_DIR=
set SAVED_NVMSVC_ATLLIB_DIR=
set SAVED_include=
set SAVED_lib=
set SAVED_BUILD_DEFAULT_TARGETS=
set SAVED_HOST_TARGETCPU=
set SAVED_HOST_TARGET_DIRECTORY=
set SAVED_HOST_TARGET_DEFINES=
set SAVED_IA64=
set SAVED_NTIA64DEFAULT=
set SAVED_IA64_WARNING_LEVEL=
set SAVED_BUILD_DEFAULT=
set SAVED_BUILD_MAKE_PROGRAM=
set SAVED_Cpu=
set SAVED_COFFBASE_TXT_FILE=
set SAVED_DDK_VC5_COMPILE=
set SAVED_MSC_OPTIMIZATION=
set SAVED_MSVCDir=
set SAVED_NEW_CRTS=
set SAVED_NTDBGFILES=
set SAVED_NTDEBUG=
set SAVED_NTDEBUGTYPE=
set SAVED_NTMAKEENV=

set SAVED_BUILD_MULTIPROCESSOR=
set SAVED_DDK_TARGET_OS=
set SAVED_DRIVER_INC_PATH=
set SAVED_HALKIT_INC_PATH=
set SAVED_HALKIT_LIB_PATH=
set SAVED_IFSKIT_INC_PATH=
set SAVED_IFSKIT_LIB_DEST=
set SAVED_IFSKIT_LIB_PATH=
set SAVED_NO_BINPLACE=
set SAVED_NT_UP=
set SAVED_OAK_INC_PATH=
set SAVED_PROCESSOR_INC_PATH=
set SAVED_PROCESSOR_LIB_PATH=
set SAVED_PROJECT_ROOT=
set SAVED_PUBLISH_CMD=
set SAVED_USERNAME=
set SAVED_WPP_CONFIG_PATH=
set SAVED__BUILDARCH=
set SAVED__CL_=
set SAVED__LINK_=
set SAVED__ML_=

set SAVED_WIN9X_LIB_DIR=
set SAVED_USER_C_FLAGS=

rem 
rem extra things set by amd64 DDK
rem 
set SAVED_AMD64=
set SAVED_ATL_INC_PATH=
set SAVED_ATL_INC_ROOT=
set SAVED_ATL_LIB_PATH=
set SAVED_BUFFER_OVERFLOW_CHECKS=
set SAVED_LINK_LIB_IGNORE=
set SAVED_MFC_INCLUDES=
set SAVED_MFC_LIB_PATH=
set SAVED_NO_BROWSER_FILE=
set SAVED_PREFAST_ROOT=
set SAVED__NT_TARGET_VERSION=
set SAVED__NT_TOOLS_VERSION=
:Done
